import 'package:json_annotation/json_annotation.dart';

part 'forgot.g.dart';


@JsonSerializable()
class ForgotPasswordRequest {
  final String login;

  const ForgotPasswordRequest({
    required this.login,
  });

  factory ForgotPasswordRequest.fromJson(Map<String, dynamic> json) => _$ForgotPasswordRequestFromJson(json);
  Map<String, dynamic> toJson() => _$ForgotPasswordRequestToJson(this);

  static ForgotPasswordRequest build({
    required String login,
  }) => ForgotPasswordRequest(login: login);
}
